{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!--Arquivos Javascript remoto-->
  <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.html5.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/plug-ins/1.10.20/sorting/datetime-moment.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script>
  
  <!--Arquivos CSS remotos-->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!--Arquivos CSS locais-->
  <link rel='stylesheet' type='text/css' href="{% static 'css/topnav_copy.css' %}">
  <link rel='stylesheet' type='text/css' href="{% static 'css/post_list_copy.css' %}">

</head>

<body>
  <!--Menu superior-->
  
  <ul class="topnav">
    <li>
      <img class="logo" src="{% static 'img/logo.jpeg' %}" style="width:70%" >   
      Trippin
    </li>
    <div style="margin-left: 220px; margin-right: 150px;">
    <li class="active"><a href="{% url 'init_page' %}">Pagina inicial</a></li>
    <li class="active"><a href="{% url 'page_hotel' %}">Hoteis</a></li>
    <li class="active"><a href="{% url 'page_restaurant' %}">Restaurantes</a></li>
    <li class="active"><a href="{% url 'page_attractions' %}">Atrações</a></li>
    <li class="active"><a href="{% url 'human_user' %}">Perfil</a></li>
    <li class="active"><a href="{% url 'trippin_post' %}">Postar</a></li>
    <li class="active"><a href="{% url 'post_list' %}">Timeline</a></li>
    </div>
    {% if request.user %}
    <li class="logout"><a href="{% url 'logout' %}">Logout</a></li>
    {% endif%}
  </ul>
  <form class="form" method="POST">
    <ul>
    {% csrf_token %}
    {{ form.as_p }}
    
    <li>
    <select type="text" class="field-style field-full align-none" placeholder="Filtrar por avaliação" name="rating_filter">
    <option value="">Filtrar por avaliação</option>
    <option value='1'>1 Estrela</option>
    <option value='2'>2 Estrelas</option>
    <option value='3'>3 Estrelas</option>
    <option value='4'>4 Estrelas</option>
    <option value='5'>5 Estrelas</option>
    </select>
    </li>
    {% csrf_token %}
    <li>
    <input type="submit" value="Filtrar" name="filter"/>
    </li>
    
    </ul>
    </form>
  <!--Tabela-->
  <div class="lista">
    <table class="display" id="hoteis">
      <!--Cabecalho-->
      <thead>
        <tr>
          <th>Hotel</th>
          <th>Avaliação</th>
          <th>Endereço</th>
          <th>Preço</th>
          <th>Facilidades</th>
          <th>E-mail</th>
          <th>Telefone</th>
        </tr>
      </thead>

      <!--Resto da tabela-->
      <tbody class="tabela">
        {% for hotel in hotels %}
        <tr>
          <td><a href = "profile/{{ hotel.hotel_name }}">{{ hotel.hotel_name }}</a></td>
          {% if hotel.hotel_rating == '0' %}
          <td><span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span></td>
          {% endif %}
          {% if hotel.hotel_rating == '1' %}
          <td><span class="fa fa-star checked"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span></td>
          {% endif %}
          {% if hotel.hotel_rating == '2' %}
          <td><span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span></td>
          {% endif %}
          {% if hotel.hotel_rating == '3' %}
          <td><span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star"></span>
            <span class="fa fa-star"></span></td>
          {% endif %}
          {% if hotel.hotel_rating == '4' %}
          <td><span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star"></span></td>
          {% endif %}
          {% if hotel.hotel_rating == '5' %}
          <td><span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span>
            <span class="fa fa-star checked"></span></td>
          {% endif %}
          <td>{{ hotel.hotel_adress }}</td>
          <td>${{ hotel.hotel_price }}</td>
          
          <!--<script> 
          var str = document.getElementById("amenities").textElement;
          for(let i = 0; i < str.length; i++){
            if (str[i] == "_"){
              str[i] = " ";
            }
          }
          print(str);
          document.getElementById("amenities").textElement = str;
          </script>-->
          <td id="amenities">{{ hotel.hotel_amenities }} </td>
          <td>{{ hotel.hotel_email }}</td>
          <td>{{ hotel.hotel_phone_number }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</body>

<script>
  function Favorites(hotel) {
    var a = document.getElementById(hotel).value;
    if(a == 'Adcionar')
    {
      document.getElementById(hotel).value = 'Remover'; 
    }else if(a == 'Remover')
    document.getElementById(hotel).value = 'Adcionar';      
    }
</script>

<style>
  .checked {
  color: gold;
}
  .conteudo-2-1 {
      float:left;
      width: 30%;
  }
  .conteudo-2-2 {
      float:right;
      width:70%;
  align-content: center;}

  .topnav{
  overflow: hidden;
  background-color: #B4B4B7;
  list-style-type: none;
  border-radius: 20px;
  margin: 0 0;
  padding: 0 0;
}

  .topnav li {
  float: left;
  margin-top: 25px; 
  margin-left: 25px;
}

.topnav li.logout
{
  background-color: #373ca0;
  color: white;
  margin-top: 25px;
  margin-right: 25px;
  float: right;
}

  img {
      display: block;
      margin-left: 0;
      margin-right: -430px;
      border-right: -10px;
      padding: 0 0;
      max-width: 500px;
    }

    .topnav li.active
{
  background-color: #a1c1d3;
  color: #ffffff;
  margin: 25px 25px;
  border-radius: 10px;
  text-align: left;
}

.tabela{
  overflow: hidden;
  background-color: #B4B4B7;
  list-style-type: none;
  border-radius: 20px;

  padding: 10px;
}

span{
  color:paleturquoise
}

  
  </style>